<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package filepress
 */

global $filepress;

$logo_url = get_template_directory_uri().'/layouts/img/logo.png';
if(isset($filepress['opt-footer-logo']['url']) && !empty($filepress['opt-footer-logo']['url']))
{
    $logo_url = $filepress['opt-footer-logo']['url'];   
}


?>

        <section class="c-sections online_store_footer">
            <div class="container">
                <div class="row">
                    <div class="col-md-12  online_store_logo_footer shadow_contects_max">
                        <div class="row">
                            <div class="col-md-3 col-sm-2 hidden-xs logo_footer_online_store"><a href="<?php bloginfo('url' ); ?>" title="<?php echo esc_attr(get_bloginfo('name')); ?>"><img src="<?php echo $logo_url; ?>"></a></div>
                            <div class="col-md-6 col-sm-8 col-xs-12 nazarat_footer_online_store">

                                <div class="widget_wrapper nazarat_footer_online_store_wrapper background_widget_wrapper shadow_contects_min">
                                    <div class="widget_title">
                                        <h3 class=""><i class="fa fa-comments"></i>آخرین نظرات</h3>
                                        <h3 class="fix_left">
                                            <a class="left" href="#carousel-example-generic" role="button" data-slide="prev">
                                                <span class="fa fa-caret-down" aria-hidden="true"></span>
                                            </a>
                                            <a class="right" href="#carousel-example-generic" role="button" data-slide="next">
                                                <span class="fa fa-caret-up" aria-hidden="true"></span>
                                            </a>
                                        </h3>
                                    </div>
                                    <div class="widget_content">
                                        <div id="carousel-example-generic" class="carousel slide" data-ride="carousel" data-interval="3000">
                                            <div class="carousel-inner vertical" role="listbox">
                                                <?php 
                                                    $cm_counter = 0;
                                                    $args = array (
                                                    'status' => 'approve',
                                                    'number' => '5',
                                                    'post_type' => array('post','download')
                                                    );
                                                    $comments = get_comments( $args );
                                                    if ( !empty( $comments ) ) :
                                                    // echo '<ul>';
                                                    foreach( $comments as $comment ) :
                                                    // echo '<li><a href="' . get_permalink( $comment->comment_post_ID ) . '#comment-' . $comment->comment_ID . '">' . $comment->comment_author . ' on ' . get_the_title( $comment->comment_post_ID ) . '</a></li>';
                                                    $cm_counter++;
                                                    ?>
                                                    <div class="item <?php if($cm_counter ==1){echo 'active';} ?>">
                                                        <a href="<?php echo get_permalink( $comment->comment_post_ID ) . '#comment-' . $comment->comment_ID; ?>">
                                                        <div class="row" alt="First Slide">
                                                            <div class="col-md-3 col-sm-3 col-xs-3">
                                                                <?php echo get_avatar( $comment, 32 ); ?>
                                                                <!-- <img alt="" src="assets/img/user.jpg" class="avatar" width="48" height="48"> -->
                                                                <?php echo $comment->comment_author; ?>
                                                            </div>
                                                            <div class="col-md-9 col-sm-9 col-xs-9">
                                                                <div class="comment-meta">
                                                                    <p><?php echo $comment->comment_content; ?></p>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        </a>
                                                    </div>
                                                    <?php
                                                    endforeach;
                                                    // echo '</ul>';
                                                    endif;
                                                 ?>

                                            </div>

                                            <!-- Controls -->

                                        </div>
                                        <!--                                        </div>-->
                                    </div>
                                </div>

                            </div>
                            <div class="col-md-3 col-sm-2 col-xs-12 icon_footer_online_store">
                                <span class="dir-left fa-icons-span">
                                <?php 
                                    if(isset($filepress['opt-tel']) && !empty($filepress['opt-tel']))
                                    {
                                        echo ' <a href="tel:'.$filepress['opt-tel'].'"><i class="fa fa-phone"></i>'.$filepress['opt-tel'].'</a>';
                                    }
                                    if(isset($filepress['opt-mobile']) && !empty($filepress['opt-mobile']))
                                    {
                                        echo ' <a href="tel:'.$filepress['opt-mobile'].'"><i class="fa fa-mobile"></i>'.$filepress['opt-mobile'].'</a>';
                                    }
                                 ?>
                                </span>

                                <p class="online_store_socials">
                                <?php
                                $filepress_socials = array(
                                    'facebook' => '',
                                    'instagram' => '',
                                    'google-pluse' => '',
                                    'telegram' => '',
                                    'whatsapp' => '',
                                    'android' => '',
                                    'windows' => '',
                                    );
                                global $filepress;
                                foreach ($filepress_socials as $class => $txt) {
                                    $s = '';
                                    if (isset($filepress['opt-social-' . $class])) {
                                        $s = $filepress['opt-social-' . $class];
                                    }

                                    if (!empty($s)) {
                                        if ($class == 'telegram') {
                                            $class = 'send';
                                        }

                                        echo '<a title="شبکه ی اجتماعی ' . $class . '" href="' . $s . '" class="  btn-social-icon btn-' . $class . '"><i class="fa fa-' . $class . '"></i></a>';
                                    }
                                }
                                if(isset($filepress['opt-social-feed']) && $filepress['opt-social-feed'] ==1){
                                ?><a title="فید سایت" href="<?php echo get_feed_link(); ?>" class="  btn-social-icon btn-rss"><i class="fa fa-rss"></i></a><?php }
                                if (!is_user_logged_in()) {
                                    if($filepress['opt-social-reg']==1){
                                    ?><a title="عضویت در سایت" href="<?php echo wp_registration_url(); ?>" class="  btn-social-icon "><i class="fa fa-user-plus"></i></a><?php } if($filepress['opt-social-login']==1){ ?><a title="ورود به سایت" href="<?php echo wp_login_url(home_url()); ?>" class=" btn-social-icon "><i class="fa fa-user"></i></a><?php }

                                }

                                ?>
                                </p>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </section>

        <section class="c-sections online_store_sub_footer shadow_contects_max ">
            <div class="container">
                <div class="row">
                    <div class="online_store_footer">
                        
                        <div class="col-md-6">
                            <?php if(isset($filepress['opt-footer-text'])){ echo $filepress['opt-footer-text']; } ?>
                        </div>
                        <ul class="nav_bar col-md-6">
                             <?php
                            if(has_nav_menu('menu-footer'))
                            {
                                $args = array(
                                    'container' => false,
                                    'theme_location' => 'menu-footer',
                                    'items_wrap' => '%3$s'
                                );
                                if(class_exists('wp_bootstrap_navwalker')){
                                    $args['walker']= new wp_bootstrap_navwalker();
                                }
                                wp_nav_menu($args);
                            }else
                            {
                                echo '<li><a href="'.admin_url('nav-menus.php' ).'">برای این قسمت منویی تعریف نشده،برای تعریف منو کلیک کنید</a></li>';
                            }
                            ?>
                        </ul>
                        <div class="copyright col-md-12">
                            <a rel="nofollow" title="گروه وب دیزاین" href="http://wd7.ir" class="shahabnet">کاری(♥) از گروه wd7</a>

                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
    <?php wp_footer(); ?>
    <a href="#" class="borobala"><i class="bala fa-arrow-up fa"></i></a>
</body>
</html>
