<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package filepress
 */
global $filepress;
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta http-equiv="X-UA-Compatible" content="IE=edge">    
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<?php 
 if(isset($filepress['opt-favicon']['url']) && $filepress['opt-favicon']['url'] !='')
 {
    ?>
    <link rel="icon" type="image/png" href="<?php echo $filepress['opt-favicon']['url']; ?>">
    <link rel="shortcut icon" href="<?php echo $filepress['opt-favicon']['url']; ?>"/>
    <?php
 }
 ?>


<?php wp_head(); ?>
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->  

    <!--[endif]-->
        <!--[if lte IE 8]>
        <link href="<?php echo get_template_directory_uri();?>/layouts/ie8.css" rel="stylesheet" type="text/css" media="screen" />
    <![endif]-->

</head>
<?php 
$logo_url = get_template_directory_uri().'/layouts/img/logo.png';
if(isset($filepress['opt-header-logo']['url']) && !empty($filepress['opt-header-logo']['url']))
{
    $logo_url = $filepress['opt-header-logo']['url'];   
}
$body_class = '';
// if(is_home()){ $body_class .= ' page_index ';}
 ?>
<body id="i-am-top-of-page" <?php body_class($body_class); ?>>
    <div class="main-container">
        <section class="c-sections online_store_header">
            <div class="container">
                <div class="row">
                    <div class="col-md-12  online_store_logo_heder shadow_contects_max">
                        <div class="row">
                            <div class="col-md-3 col-sm-3 hidden-xs logo_header_online_store"><a href="<?php bloginfo('url' ); ?>" title="<?php echo esc_attr(get_bloginfo('name')); ?>"><img src="<?php echo $logo_url; ?>"></a></div>
                            <div class="col-md-5 col-sm-5 col-xs-12 search_header_online_store">
                                <form id="custom-search-input" action="<?php bloginfo('url' ); ?>">
                                    <div class="input-group">
                                        <input title="برای جستجو تایپ کنید" class="form-control " placeholder="جستجو کنید" type="text" name="s">
                                        <span class="input-group-btn">
                                            <button class="btn btn-info" type="submit" value="" type="search">
                                             <i class="fa fa-search"></i>
                                            </button>
                                        </span>
                                    </div>
                                </form>
                            </div>
                            <div class="col-md-4 col-sm-4 col-xs-12 icon_header_online_store">
                                <a target="" class="shop_cart_item_counter_wrapper" title="شبکه ی اجتماعی send-o" href="<?php if(function_exists('edd_get_checkout_uri')){echo edd_get_checkout_uri();} ?>">
                                    <i class="shop_cart_item_counter"><?php if(function_exists('edd_get_cart_quantity')){echo edd_get_cart_quantity();} ?></i>
                                    <i class="fa fa-shopping-basket"></i>
                                </a>
                                <span class="online_store_socials">
                                <?php
                                $filepress_socials = array(
                                    'facebook' => '',
                                    'instagram' => '',
                                    'google-pluse' => '',
                                    'telegram' => '',
                                    'whatsapp' => '',
                                    'android' => '',
                                    'windows' => '',
                                    );
                                global $filepress;
                                foreach ($filepress_socials as $class => $txt) {
                                    $s = '';
                                    if (isset($filepress['opt-social-' . $class])) {
                                        $s = $filepress['opt-social-' . $class];
                                    }

                                    if (!empty($s)) {
                                        if ($class == 'telegram') {
                                            $class = 'send';
                                        }

                                        echo '<a title="شبکه ی اجتماعی ' . $class . '" href="' . $s . '" class="  btn-social-icon btn-' . $class . '"><i class="fa fa-' . $class . '"></i></a>';
                                    }
                                }
                                if(isset($filepress['opt-social-feed']) && $filepress['opt-social-feed'] ==1){
                                ?><a title="فید سایت" href="<?php echo get_feed_link(); ?>" class="  btn-social-icon btn-rss"><i class="fa fa-rss"></i></a><?php }
                                if (!is_user_logged_in()) {
                                    if($filepress['opt-social-reg']==1){
                                    ?><a title="عضویت در سایت" href="<?php echo wp_registration_url(); ?>" class="  btn-social-icon "><i class="fa fa-user-plus"></i></a><?php } if($filepress['opt-social-login']==1){ ?><a title="ورود به سایت" href="<?php echo wp_login_url(home_url()); ?>" class=" btn-social-icon "><i class="fa fa-user"></i></a><?php }

                                }

                                ?>
                                </span>

                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </section>

        <section class="c-sections online_store_main_menu shadow_contects_max">
            <div class="container online_store_main_menu_navbar">
                <div class="row">
                    <div class="col-md-12 col-sm-12 col-xs-12">
                        <div class="navbar-header">
                            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#main-menu-navbar">
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </button>
                            <a id="brand" class="navbar-brand hidden-md hidden-lg hidden-sm" href="<?php bloginfo('url' ); ?>">
                                <img class="logo_pic" src="<?php echo $logo_url; ?>" alt="logo" width="80"></a>
                        </div>
                        <div class="collapse navbar-collapse" id="main-menu-navbar">
                            <ul class="nav navbar-nav" id="top-menu">
                             <?php
                            if(has_nav_menu('menu-main'))
                            {
                                $args = array(
                                    'container' => false,
                                    'theme_location' => 'menu-main',
                                    'items_wrap' => '%3$s'
                                );
                                if(class_exists('wp_bootstrap_navwalker')){
                                    $args['walker']= new wp_bootstrap_navwalker();
                                    $args['caret_class']= 'fa  fa-angle-down';
                                }
                                wp_nav_menu($args);
                            }else
                            {
                                echo '<li><a href="'.admin_url('nav-menus.php' ).'">برای این قسمت منویی تعریف نشده،برای تعریف منو کلیک کنید</a></li>';
                            }
                            ?>
                             </ul>
                            <ul class="nav navbar-nav navbar-left">
                                <?php 
                                    if(isset($filepress['opt-tel']) && !empty($filepress['opt-tel']))
                                    {
                                        echo '<li class="dir-left fa-icons-span"><a href="tel:'.$filepress['opt-tel'].'"><i class="fa fa-phone"></i></a></li>';
                                    }
                                    if(isset($filepress['opt-mobile']) && !empty($filepress['opt-mobile']))
                                    {
                                        echo '<li class="dir-left fa-icons-span"><a href="tel:'.$filepress['opt-mobile'].'"><i class="fa fa-mobile"></i></a></li>';
                                    }
                                 ?>

                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <?php if(isset($filepress['opt-news-enable']) && $filepress['opt-news-enable']==1): ?>
        <section class="c-sections online_storenew_news_bar">
            <div class="container search-pad">
                <div class="row ">
                    <div class="col-md-12 col-sm-12 hidden-xs new-news-bar">
                        <span class="tazeh_right">
                    <span class="tazeh">
                    <i class="fa fa-bullhorn"></i>
                    <?php 
                    if(isset($filepress['opt-news-title']) && !empty($filepress['opt-news-title']))
                    {
                        echo $filepress['opt-news-title'];
                    }else{
                        echo 'اخبار و اطلاعیه :';
                    }

                     ?>
                      </span>
                        </span>
                        <div class="text_khabari" id="news-ticker">
                        <ul>
                        <?php 
                        if(isset($filepress['opt-news-cat']) && !empty($filepress['opt-news-cat']))
                        {
                            //fetch
                            wp_reset_postdata();
                            $q = new WP_Query(array('cat='.$filepress['opt-news-cat'].'&posts_per_page=5'));
                            if($q->have_posts()){
                                while($q->have_posts())
                                {
                                    $q->the_post();
                                    ?>
                                        <li><a href="<?php the_permalink(); ?>" title="<?php echo esc_attr(get_the_title() ); ?>"><?php the_title(); ?></a></li>

                                    <?php
                                    
                                }
                            }
                            wp_reset_postdata();
                        }else{
                            //nothign
                            echo '<li class="no_cat_was_set"><a href="'.admin_url('admin.php?page=filepress').'">دسته ای برای اخبار مشخص نشد،لطفا از تنظیمات قالب اقدام کنید</a></li>';
                        }
                        ?>
                         </ul>
                    </div>
                    </div>
                </div>
            </div>
        </section>
        <?php endif;//end of enable check ?>
