<?php

defined('ABSPATH') or die('No script kiddies please!');

/**
 * Main Core
 */
if (!class_exists('ReduxFrameworkInstances')) {
	require_once 'redux-framework/ReduxCore/framework.php';
}
/**
 * Redux Extensions
 */
require_once get_template_directory() . '/inc/redux-extensions-loader-master/loader.php';

/**
 * ReduxFramework Sample Config File
 * For full documentation, please visit: http://docs.reduxframework.com/
 */

if (!class_exists('Redux')) {
	return;
}

// This is your option name where all the Redux data is stored.
$opt_name = "filepress";

// This line is only for altering the demo. Can be easily removed.
$opt_name = apply_filters('filepress/opt_name', $opt_name);

/**
 * Main Theme config And settings
 */
do_action('filepress_config', $opt_name);
/**
 * تنظیمات قالب
 */
/**
 * ---> SET ARGUMENTS
 * All the possible arguments for Redux.
 * For full documentation on arguments, please refer to: https://github.com/ReduxFramework/ReduxFramework/wiki/Arguments
 * */

$theme = wp_get_theme(); // For use with some settings. Not necessary.

$args = array(
	// TYPICAL -> Change these values as you need/desire
	'opt_name' => $opt_name,
	'disable_tracking' => true,
	// This is where your data is stored in the database and also becomes your global variable name.
	'display_name' => $theme->get('Name'),
	// Name that appears at the top of your panel
	'display_version' => $theme->get('Version'),
	// Version that appears at the top of your panel
	'menu_type' => 'menu',
	//Specify if the admin menu should appear or not. Options: menu or submenu (Under appearance only)
	'allow_sub_menu' => true,
	// Show the sections below the admin menu item or not
	'menu_title' => __('تنظیمات قالب', 'filepress'),
	'page_title' => __('تنظیمات قالب', 'filepress'),
	// You will need to generate a Google API key to use this feature.
	// Please visit: https://developers.google.com/fonts/docs/developer_api#Auth
	'google_api_key' => '',
	// Set it you want google fonts to update weekly. A google_api_key value is required.
	'google_update_weekly' => false,
	// Must be defined to add google fonts to the typography module
	'async_typography' => true,
	// Use a asynchronous font on the front end or font string
	//'disable_google_fonts_link' => true,                    // Disable this in case you want to create your own google fonts loader
	'admin_bar' => true,
	// Show the panel pages on the admin bar
	'admin_bar_icon' => 'dashicons-portfolio',
	// Choose an icon for the admin bar menu
	'admin_bar_priority' => 50,
	// Choose an priority for the admin bar menu
	'global_variable' => '',
	// Set a different name for your global variable other than the opt_name
	'dev_mode' => false,
	// Show the time the page took to load, etc
	'update_notice' => true,
	// If dev_mode is enabled, will notify developer of updated versions available in the GitHub Repo
	'customizer' => true,
	// Enable basic customizer support
	//'open_expanded'     => true,                    // Allow you to start the panel in an expanded way initially.
	//'disable_save_warn' => true,                    // Disable the save warning when a user changes a field

	// OPTIONAL -> Give you extra features
	'page_priority' => null,
	// Order where the menu appears in the admin area. If there is any conflict, something will not show. Warning.
	'page_parent' => 'themes.php',
	// For a full list of options, visit: http://codex.wordpress.org/Function_Reference/add_submenu_page#Parameters
	'page_permissions' => 'manage_options',
	// Permissions needed to access the options panel.
	'menu_icon' => '',
	// Specify a custom URL to an icon
	'last_tab' => '',
	// Force your panel to always open to a specific tab (by id)
	'page_icon' => 'icon-themes',
	// Icon displayed in the admin panel next to your menu_title
	'page_slug' => 'filepress',
	// Page slug used to denote the panel, will be based off page title then menu title then opt_name if not provided
	'save_defaults' => true,
	// On load save the defaults to DB before user clicks save or not
	'default_show' => false,
	// If true, shows the default value next to each field that is not the default value.
	'default_mark' => '',
	// What to print by the field's title if the value shown is default. Suggested: *
	'show_import_export' => true,
	// Shows the Import/Export panel when not used as a field.

	// CAREFUL -> These options are for advanced use only
	'transient_time' => 60 * MINUTE_IN_SECONDS,
	'output' => true,
	// Global shut-off for dynamic CSS output by the framework. Will also disable google fonts output
	'output_tag' => true,
	// Allows dynamic CSS to be generated for customizer and google fonts, but stops the dynamic CSS from going to the head
	// 'footer_credit'     => '',                   // Disable the footer credit of Redux. Please leave if you can help it.

	// FUTURE -> Not in use yet, but reserved or partially implemented. Use at your own risk.
	'database' => '',
	// possible: options, theme_mods, theme_mods_expanded, transient. Not fully functional, warning!
	'use_cdn' => true,
	// If you prefer not to use the CDN for Select2, Ace Editor, and others, you may download the Redux Vendor Support plugin yourself and run locally or embed it in your code.
	// HINTS
	'hints' => array(
		'icon' => 'el el-question-sign',
		'icon_position' => 'right',
		'icon_color' => 'lightgray',
		'icon_size' => 'normal',
		'tip_style' => array(
			'color' => 'red',
			'shadow' => true,
			'rounded' => false,
			'style' => '',
		),
		'tip_position' => array(
			'my' => 'top left',
			'at' => 'bottom right',
		),
		'tip_effect' => array(
			'show' => array(
				'effect' => 'slide',
				'duration' => '500',
				'event' => 'mouseover',
			),
			'hide' => array(
				'effect' => 'slide',
				'duration' => '500',
				'event' => 'click mouseleave',
			),
		),
	),
);

// ADMIN BAR LINKS -> Setup custom links in the admin bar menu as external items.
$args['admin_bar_links'][] = array(
	'id' => 'filepress-support',
	'href' => 'http://shahab-net.ir/?support',
	'title' => __('پشتیبانی قالب', 'filepress'),
);

$args['admin_bar_links'][] = array(
	'id' => 'filepress-order',
	'href' => 'http://shahab-net.ir/?order',
	'title' => __('سفارش وب سایت', 'filepress'),
);

$args['admin_bar_links'][] = array(
	'id' => 'filepress-tuts',
	'href' => 'http://shahab-net.ir/?tuts',
	'title' => __('مطالب آموزشی وردپرس', 'filepress'),
);

// Panel Intro text -> before the form
if (!isset($args['global_variable']) || $args['global_variable'] !== false) {
	if (!empty($args['global_variable'])) {
		$v = $args['global_variable'];
	} else {
		$v = str_replace('-', '_', $args['opt_name']);
	}
	$args['intro_text'] = __('<p> <a href="http://wd7.ir/docs/wp-theme-filepress-doc">راهنمای قالب</a>  |  <a href="http://wd7.ir/support">پشتیبانی</a> </p>', 'filepress');
} else {
	$args['intro_text'] = __('<p> <a href="http://wd7.ir/docs/wp-theme-filepress-doc">راهنمای قالب</a>  |  <a href="http://wd7.ir/support">پشتیبانی</a> </p>', 'filepress');
}

// Add content after the form.
$args['footer_text'] = __('<p>وب دیزاین ارائه دهنده خدمات برنامه نویسی تحت وب / راهکاری های فروشگاهی / شخصی / شرکتی / دولتی</p>', 'filepress');

Redux::setArgs($opt_name, $args);

/**
 * قسمت های مختلف تنظیمات قالب
 */

Redux::setSection($opt_name, array(
	'title' => __('لوگو / هدر / تصاویر', 'filepress'),
	'icon' => 'el el-picture',
	'fields' => array(
		array(
			'id' => 'opt-header-logo',
			'type' => 'media',
			'title' => __('لوگو', 'filepress'),
			'output' => array('.site-header'),
			'desc' => __('انتخاب لوگوی اصلی سایت برای قرار گیری در اول و بالای صفحه ، اندازه توصیه شده « 164x130', 'filepress'),
			'default' => array('url' => get_template_directory_uri() . '/layouts/img/logo.png'),
		),
		array(
			'id' => 'opt-footer-logo',
			'type' => 'media',
			'title' => __('لوگو ی فوتر', 'redux-framework-demo'),
			'output' => array('.site-footer'),
			'desc' => __('این لوگو در فوتر قرار می گیرد ', 'redux-framework-demo'),
			),

	),
));

Redux::setSection($opt_name, array(
	'title' => __('شبکه های اجتماعی', 'filepress'),
	'icon' => 'el el-googleplus',
	'fields' => array(
		array(
			'id' => 'opt-social-facebook',
			'type' => 'text',
			'title' => __('آدرس صفحه facebook', 'filepress'),
			'desc' => __('آدرس مربوط به facebook خود را وارد نمایید ، در صورت خالی گذاشتن در سایت نمایش داده نمی شود.', 'filepress'),
		), array(
			'id' => 'opt-social-instagram',
			'type' => 'text',
			'title' => __('آدرس صفحه instagram', 'filepress'),
			'desc' => __('آدرس مربوط به instagram خود را وارد نمایید ، در صورت خالی گذاشتن در سایت نمایش داده نمی شود.', 'filepress'),
		), array(
			'id' => 'opt-social-googlepluse',
			'type' => 'text',
			'title' => __('آدرس صفحه Google Plus', 'filepress'),
			'desc' => __('آدرس مربوط به Google Plus خود را وارد نمایید ، در صورت خالی گذاشتن در سایت نمایش داده نمی شود.', 'filepress'),
		), array(
			'id' => 'opt-social-telegram',
			'type' => 'text',
			'title' => __('آدرس صفحه تلگرام', 'filepress'),
			'desc' => __('آدرس مربوط به تلگرام خود را وارد نمایید ، در صورت خالی گذاشتن در سایت نمایش داده نمی شود.', 'filepress'),
		),
		array(
			'id' => 'opt-social-whatsapp',
			'type' => 'text',
			'title' => __('واتساپ', 'redux-framework-demo'),
		),
		array('type' => 'divide', 'id' => 'divide_socials'),
		array(
			'id' => 'opt-social-android',
			'type' => 'text',
			'title' => __('اندروید', 'redux-framework-demo'),
		),
		array(
			'id' => 'opt-social-apple',
			'type' => 'text',
			'title' => __('اپل', 'redux-framework-demo'),
		),
		array(
			'id' => 'opt-social-windows',
			'type' => 'text',
			'title' => __('ویندوز فون', 'redux-framework-demo'),
		),
		array('type' => 'divide', 'id' => 'divide_feed'),

		array(
			'id' => 'opt-social-feed',
			'type' => 'checkbox',
			'default' => 1,
			'title' => __('نمایش آیکن فید در کنار شبکه های اجتماعی؟', 'redux-framework-demo'),
		),
		array(
			'id' => 'opt-social-login',
			'type' => 'checkbox',
			'default' => 1,
			'title' => __('نمایش آیکن ورود در کنار شبکه های اجتماعی؟', 'redux-framework-demo'),
		),
		array(
			'id' => 'opt-social-reg',
			'type' => 'checkbox',
			'default' => 1,
			'title' => __('نمایش آیکن ثبت نام در کنار شبکه های اجتماعی؟', 'redux-framework-demo'),
		),

	),
));

Redux::setSection($opt_name, array(
	'title' => __('فوتر', 'filepress'),
	'icon'=>'el el-hand-down',
	'fields' => array(
		array(
			'id' => 'opt-footer-text',
			'type' => 'textarea',
			'title' => __('متن فوتر', 'filepress'),
			'desc' => __('شامل متن کپی رایت یا مورد خاص دلخواه', 'filepress'),
		),
	),
));

if(defined('FILEPRESS_MOKAMEL')){

Redux::setSection($opt_name, array(
	'title' => __('فونت سایت', 'filepress'),
	'icon'  => 'el el-font',

	'fields' => array(
		array(
			'id' => 'opt-font-name',
			'type' => 'select',
			'options' => array('vazir' => 'فونت وزیر', 'yekan' => 'فونت یکان', 'irsans' => 'ایران سنس'),
			'default' => 'vazir',
			'title' => __('فونت سایت', 'filepress'),
			'desc' => __('میتوانید فونت مورد استفاده در سایت را تغییر دهید', 'filepress'),
		),
	),
));
}else{
	Redux::setSection($opt_name, array(
	'title' => __('فونت سایت', 'filepress'),
	'icon'  => 'el el-font',

	'fields' => array(
		array(
			'id' => 'opt-font-name-info',
			'type' => 'info',
			'style' => 'success',
			'icon'=>'el el-heart-empty',
			'title'=>'تنظیم فونت های بیشتر',
			'desc' => __('این مورد فقط در نسخه مکمل وجود دارد ، جهت خرید کلیک کنید: <a class="button button-primary" href="http://wd7.ir/?post_type=product&p=1497">خرید</a>', 'filepress'),
		),
	),
));
}

Redux::setSection($opt_name, array(
	'title' => __('شماره تماس/ایمیل', 'filepress'),
	'icon'=>'el el-phone',
	'fields' => array(
		array(
			'id' => 'opt-tel',
			'type' => 'text',
			'title' => __('شماره تماس', 'filepress'),

		), array(
			'id' => 'opt-mobile',
			'type' => 'text',
			'title' => __('شماره موبایل', 'filepress'),

		),
	),
));

Redux::setSection($opt_name, array(
	'title' => __('اخبار و اطلاعیه ها', 'filepress'),
	'icon'=>'el el-bullhorn',
	'fields' => array(
		array(
			'id' => 'opt-news-cat',
			'type' => 'select',
			'title' => __('دسته اطلاعیه ها', 'filepress'),
			'desc' => 'طرح های این دسته در صفحه اول قرار خواهند گرفت',
			'data' => 'categories',
			'args' => array(
				'hide_empty' => 0,
				// 'selected'         => -1,
			)),
		array(
			'id' => 'opt-news-title',
			'type' => 'text',
			'title' => __('دسته اطلاعیه ها', 'filepress'),
			'desc' => 'عنوان اخبار و اطلاعیه ها',
			'default' => 'اخبار و اطلاعیه ها',
		),
		array(
			'id' => 'opt-news-enable',
			'type' => 'checkbox',
			'title' => __('فعال بودن اطلاعیه ها', 'filepress'),
			'desc' => 'اگر غیرفعال باشد نمایش داده نمی شود.',
			'default' => 1,
		),

	),
));

Redux::setSection($opt_name, array(
	'title' => __('اسلایدشو', 'filepress'),
	'icon'=>'el el-photo',
	'fields' => array(
		array(
			'id' => 'opt-slide-cat',
			'type' => 'select',
			'title' => __('دسته اسلایدشو', 'filepress'),
			'desc' => 'طرح های این دسته در صفحه اول قرار خواهند گرفت',
			'data' => 'categories',
			'args' => array(
				'hide_empty' => 0,
				// 'selected'         => -1,
			)),
		array(
			'id' => 'opt-slide-enable',
			'type' => 'checkbox',
			'title' => __('فعال بودن اسلایدشو', 'filepress'),
			'desc' => 'اگر غیرفعال باشد نمایش داده نمی شود.',
			'default' => 1,
		),
		array(
			'id' => 'opt-slide-enable-caption',
			'type' => 'checkbox',
			'title' => __('فعال بودن نوشته روی تصاویر', 'filepress'),
			'desc' => 'اگر غیرفعال باشد نمایش داده نمی شود.',
			'default' => 1,
		),

	),
));
$filepress_opt = get_option('filepress');
$cat_fields = array();
$cat_fields[] =
array(
	'id' => 'opt-home-cat-num',
	'type' => 'text',
	'title' => __('تعداد دسته بندی ها', 'filepress'),
	'desc' => 'تعداد بخش ها برای نماش در صفحه اول ، لطفا بعد از ذخیره صفحه را رفرش کنید و مجدد مراجعه کنید',
	'default' => 3,
);
$num = isset($filepress_opt['opt-home-cat-num'])?$filepress_opt['opt-home-cat-num']:3;
for ($i = 0; $i < $num; $i++) {
	$cat_fields[] =
	array
		(
		'id' => 'opt-home-cat-' . $i,
		'type' => 'select',
		'title' => __('انتخاب دسته بندی', 'filepress'),
		'data' => 'terms',
		'args' => array(
			'hide_empty' => 0,
			'taxonomies' => array('download_category'),
			// 'selected'         => -1,
		),
		'desc' => 'تنظیم بخش ' . $i . ' م',
	);
}

Redux::setSection($opt_name, array(
	'title' => __('محصولات صفحه اول', 'filepress'),
	'icon'=>'el el-home',
	'fields' => $cat_fields,

));

Redux::setSection($opt_name, array(
	'title' => __('تنظیمات محصولات', 'filepress'),
	'icon'=>'el el-shopping-cart',
	'fields' => array(
		array(
			'id' => 'opt-downloads-show-download-counts',
			'type' => 'checkbox',
			'title' => __('نمایش تعداد دانلود هر محصول', 'filepress'),
			'desc' => 'اگر غیرفعال باشد نمایش داده نمی شود.',
			'default' => 1,
		)
	),

));

if(defined('FILEPRESS_MOKAMEL')){

Redux::setSection($opt_name, array(
	'title' => __('رنگ بندی سایت', 'filepress'),
	'icon' => 'el el-screen',
	'fields' => array(
		array(
			'id' => 'opt-site-main-color',
			'type' => 'color',
			'title' => __('رنگ اصلی سایت', 'filepress'),
			'default' => '#00a99d',
		),
		array(
			'id' => 'opt-site-second-color',
			'type' => 'color',
			'title' => __('رنگ مکمل سایت', 'filepress'),
			'desc' => 'در انتخاب رنگ مکمل دقت کنید که با رنگ اصلی ست باشد ',
			'default' => '#FFA700',
		),
	),

));
}else{
Redux::setSection($opt_name, array(
	'title' => __('رنگ بندی سایت', 'filepress'),
	'icon' => 'el el-screen',

	'fields' => array(
			array(
			'id' => 'opt-colors-info',
			'type' => 'info',
			'style' => 'success',
			'icon'=>'el el-heart-empty',
			'title'=>'رنگ بندی دلخواه سایت',
			'desc' => __('این مورد فقط در نسخه مکمل وجود دارد ، جهت خرید کلیک کنید: <a class="button button-primary" href="http://wd7.ir/?post_type=product&p=1497">خرید</a>', 'filepress'),
		),
	),

));

}

Redux::setSection($opt_name, array(
	'title' => __('ستون بندی سایت', 'filepress'),
	'color'=>'el el-th-list',
	'fields' => array(
		array(
			'id' => 'opt-enable-sidebar',
			'type' => 'checkbox',
			'title' => __('ستون راست فعال باشد؟', 'filepress'),
			'default' => '1',
		),
	),

));
