<?php
defined('ABSPATH') or die('No script kiddies please!');

add_action('widgets_init', 'roman_reg_recent_downloads');
function roman_reg_recent_downloads() {

	register_widget('filepress_widget_recent_downloads');

}

class filepress_widget_recent_downloads extends WP_Widget {
	private static $widget_id;

	/*  Constructor
	/* ------------------------------------ */
	function __construct() {
		parent::__construct(false, __('A_wd7:: آخرین محصولات', 'filepress'), array('description' => __('::wd7::نمایش آخرین محصولات ', 'filepress'), 'classname' => 'filepress_widget_recent_downloads news-min-1 widget latest_articles_wrapper'));
	}

	/**
	 * Front-end display of widget.
	 *
	 * @see WP_Widget::widget()
	 *
	 * @param array $args Widget arguments.
	 * @param array $instance Saved values from database.
	 */
	public function widget($args, $instance) {
		self::$widget_id = $args['widget_id'];
		echo $args['before_widget'];
		echo $args['before_title'] . apply_filters('widget_title', $instance['title']) . $args['after_title'];

		$this->tabsContent($instance);
		echo $args['after_widget'];
	}

	public function tabsContent($args) {

		$title = $args['title'];
		$num = $args['num'];
		$args = array('post_type' => 'download', 'taxonomy' => 'download_category', 'posts_per_page' => $num);
		$q = new wp_query($args);
		if ($q->have_posts()) {
				echo '<ul>';
					while($q->have_posts())
					{
						$q->the_post();
						?>
						<li>
                    <a href="<?php the_permalink(); ?>">
                   			<?php 
                   				if(has_post_thumbnail())
                   				{
                   					the_post_thumbnail( 'product-img', array('class'=>'pic_book') );
                   				}else{
                   					echo '<img class="pic_book" src="'.get_template_directory_uri().'/layouts/img/book.png" alt="عکس محصولات">';
                   				}
                   			 ?>
                        <p><?php the_title(); ?></p>
                        <span class="time_meta "><i class="fa fa-calendar"></i><span class=""><?php the_time(); ?></span> <?php the_date(); ?></span>
                    </a>
                    <hr class="online_store_cmn_sep">
						</li>

						<?php
					}
				echo '</ul>';
		}

	}

	/**
	 * Back-end widget form.
	 *
	 * @see WP_Widget::form()
	 *
	 * @param array $instance Previously saved values from database.
	 */
	public function form($instance) {
		$title = !empty($instance['title']) ? $instance['title'] : __('آخرین محصولات', 'filepress');
		$num = !empty($instance['num']) ? $instance['num'] : 5;
		?>
		<style>
			.filepress-cat-slider{ padding:3px; border:1px solid #bbb; border-radius:3px; margin:5px; }
			.filepress-cat-slider select {  max-width: 100%; }
		</style>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('عنوان:');?></label>
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>"
			name="<?php echo $this->get_field_name('title'); ?>" type="text"
			value="<?php echo esc_attr($title); ?>">
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('num'); ?>"><?php _e('تعداد:');?></label>
			<input class="widefat" id="<?php echo $this->get_field_id('num'); ?>"
			name="<?php echo $this->get_field_name('num'); ?>" type="text"
			value="<?php echo esc_attr($num); ?>">
		</p>


		<?php

	}

	/**
	 * Sanitize widget form values as they are saved.
	 *
	 * @see WP_Widget::update()
	 *
	 * @param array $new_instance Values just sent to be saved.
	 * @param array $old_instance Previously saved values from database.
	 *
	 * @return array Updated safe values to be saved.
	 */
	public function update($new_instance, $old_instance) {
		$instance = array();
		$instance['title'] = (!empty($new_instance['title'])) ? strip_tags($new_instance['title']) : 'آخرین محصولات';
		$instance['num'] = (!empty($new_instance['num'])) ? $new_instance['num'] : 5;

		return $instance;
	}

}
