<?php
defined('ABSPATH') or die('No script kiddies please!');

add_action( 'widgets_init', 'roman_reg_top_views' );
function roman_reg_top_views() {

	register_widget( 'roman_widget_top_views' );

}

class roman_widget_top_views extends WP_Widget {
	private static $widget_id;

	/*  Constructor
	/* ------------------------------------ */
	function __construct() {
		parent::__construct(false, __('A_wd7::پربازدیدها ::', 'roman'), array('description' => __('A_wd7::پربازدیدها ::', 'roman'), 'classname' => 'roman_widget_top_views shadow_contects'));
	}

	/**
	 * Front-end display of widget.
	 *
	 * @see WP_Widget::widget()
	 *
	 * @param array $args Widget arguments.
	 * @param array $instance Saved values from database.
	 */
	public function widget($args, $instance) {
		// return;
		self::$widget_id = $args['widget_id'];
		echo $args['before_widget'];
		echo $args['before_title'] . apply_filters('widget_title', $instance['title']) . $args['after_title'];
		$this->posts($instance);
		echo $args['after_widget'];
	}

	public function posts($args) {
		$count = $args['count'];
		echo '<ul>';
		echo $this->get_cat_posts(false,$count,$args);
		echo '</ul>';


	}

	/**
	 * Back-end widget form.
	 *
	 * @see WP_Widget::form()
	 *
	 * @param array $instance Previously saved values from database.
	 */
	public function form($instance) {
		$title = !empty($instance['title']) ? $instance['title'] : __('پر بازدیدها', 'roman');
		$count = !empty($instance['count']) ? $instance['count'] : 5;
		$show_num = !empty($instance['show_num']) ? $instance['show_num'] : 0;
		?>
		<style>
			.roman-cat-slider{ padding:3px; border:1px solid #bbb; border-radius:3px; margin:5px; }
			.roman-cat-slider select {  max-width: 100%; }
		</style>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('عنوان:');?></label>
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>"
			name="<?php echo $this->get_field_name('title'); ?>" type="text"
			value="<?php echo esc_attr($title); ?>">
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('count'); ?>"><?php _e('تعداد:');?></label>
			<input class="widefat" id="<?php echo $this->get_field_id('count'); ?>"
			name="<?php echo $this->get_field_name('count'); ?>" type="text"
			value="<?php echo esc_attr($count); ?>">
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('show_num'); ?>"><?php _e('نمایش تعداد؟:');?></label>
			<input class="widefat" id="<?php echo $this->get_field_id('show_num'); ?>"
			name="<?php echo $this->get_field_name('show_num'); ?>" type="checkbox"
			value="1" <?php checked($show_num,1,true); ?>>
		</p>
		<?php

	}

	/**
	 * Sanitize widget form values as they are saved.
	 *
	 * @see WP_Widget::update()
	 *
	 * @param array $new_instance Values just sent to be saved.
	 * @param array $old_instance Previously saved values from database.
	 *
	 * @return array Updated safe values to be saved.
	 */
	public function update($new_instance, $old_instance) {
		$instance = array();
		$instance['title'] = (!empty($new_instance['title'])) ? strip_tags($new_instance['title']) : '';
		$instance['count'] = (!empty($new_instance['count'])) ? strip_tags($new_instance['count']) : 3;
		$instance['show_num'] = (!empty($new_instance['show_num'])) ? strip_tags($new_instance['show_num']) : 0;


		return $instance;
	}

	public function get_cat_posts($cat_id=false, $num = 4,$w_args) {
		global $filepress;
		$return = '';
		wp_reset_postdata();
		if (empty($num)) {
			$num = 4;
		}
		$args = array
		(
				'posts_per_page' => $num,
				'orderby' => 'meta_value_num',
				'meta_key' => 'post_views_count',
				'order'=>'DESC',
				'post_type'=>'post',


		);


		if($cat_id)
		{
			$args['cat'] = array($cat_id);
		}

		$last = new WP_Query($args);
		if ($last->have_posts()) {
			while ($last->have_posts()) {
				$last->the_post();
				global $post;
				$post_id = $post->ID;
				$attachment_id = get_post_thumbnail_id($post_id);
				$img_srcset = '';
				$img_sizes = '';
				$img_src = !empty($filepress['opt-posts-default-pic']['url']) ? $filepress['opt-posts-default-pic']['url'] : get_template_directory_uri() . '/assets/img/default-roman-150.png';
				if (has_post_thumbnail($post_id) && !empty($attachment_id)) {
					$url = wp_get_attachment_image_src(get_post_thumbnail_id($post_id), 'roman-675X340');
					$url = $url[0];
					if (!empty($url)) {
						$img_src = $url;
						$img_srcset = wp_get_attachment_image_srcset($attachment_id, 'medium');
						$img_sizes = wp_get_attachment_image_sizes($attachment_id, 'medium');
					}
				}

				$post_views = '';
				if(isset($w_args['show_num']) && $w_args['show_num']==1)
				{
					$post_views = roman_getPostViews(get_the_ID());
					$post_views = '(<span class="fa fa-eye"></span> <small>'.$post_views.'</small>)';
				}

				$return .= '<li class="comment even thread-even" id="">
                                    <!-- <a href="'.get_the_permalink().'"> <img alt="'.esc_attr(get_the_title()).'" src="'.esc_attr($img_src).'" class="avatar" width="48" height="48"></a> -->
                                    <div class="comment-meta">
                                        <a href="'.get_the_permalink().'"> '.get_the_title().''.$post_views.'</a>
                                    </div>
                            </li>';



			}

		}
		wp_reset_postdata();
		return $return;
	}

}
